Name:          jpegoptim
Version:       1.5.5
Release:       1
Summary:       Utility to optimize JPEG files
License:       GPLv2+
URL:           http://www.kokkonen.net/tjko/projects.html
Source0:       https://github.com/tjko/jpegoptim/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: coreutils gcc libjpeg-devel make

%description
Jpegoptim is an utility to optimize JPEG files. Provides lossless optimization
(based on optimizing the Huffman tables) and "lossy" optimization based on
setting maximum quality factor.

%prep
%autosetup -p1

%build
%configure
make %{?_smp_mflags}

%install
install -Dpm 0755 jpegoptim %{buildroot}/%{_bindir}/jpegoptim
install -Dpm 0644 jpegoptim.1 %{buildroot}/%{_mandir}/man1/jpegoptim.1

%files
%{!?_licensedir:%global license %doc}
%license COPYRIGHT
%doc README
%{_bindir}/jpegoptim
%{_mandir}/man1/*.1*

%changelog
* Mon Apr 01 2024 yaoxin <yao_xin001@hoperun.com> - 1.5.5-1
- Upgrade to 1.5.5 for fix CVE-2022-32325

* Mon Mar 27 2023 yaoxin <yaoxin30@h-partners.com> - 1.4.7-2
- Fix CVE-2023-27781

* Sun Aug 21 2022 tianlijing <tianlijing@kylinos.cn> - 1.4.7-1
- upgrade to 1.4.7

* Mon Jul 27 2020 chengzihan <chengzihan2@huawei.com> - 1.4.6-1
- Package init
